BSV blockchainBSV blockchain

Server statistics overview

GET/admin/stats

Response

Server statistics.

statusstring
dataobject
Show data properties
nodeNamestring
network"main" | "test"
uptimeinteger
startedAtstring<date-time>
shipRecordCountinteger
slapRecordCountinteger
bannedDomainsinteger
bannedOutpointsinteger
totalBansinteger
topicManagersstring[]
lookupServicesstring[]
gaspSyncEnabledboolean

No authentication credentials provided.

statusstring
messagestring
codestring

Stable machine-readable error code (see specs/errors.md).

Credentials provided but insufficient.

statusstring
messagestring
codestring

Stable machine-readable error code (see specs/errors.md).

Request
curl -X GET "https://{fqdn}/admin/stats" \
  -H "Authorization: Bearer <token>" \
  -H "Authorization: Bearer <token>"
Response
{
  "status": "string",
  "data": {
    "nodeName": "string",
    "network": "main",
    "uptime": 0,
    "startedAt": "1970-01-01T00:00:00.000Z",
    "shipRecordCount": 0,
    "slapRecordCount": 0,
    "bannedDomains": 0,
    "bannedOutpoints": 0,
    "totalBans": 0,
    "topicManagers": [
      "string"
    ],
    "lookupServices": [
      "string"
    ],
    "gaspSyncEnabled": true
  }
}